curl --request GET \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Getting Started with SMS API",
"content": "<h1>Introduction</h1><p>This guide covers the basics of the SMS API.</p>",
"status": "PUBLISHED",
"tags": [
{
"id": "c56a4180-65aa-42ec-a945-5fd21dec0538",
"name": "sms"
}
],
"links": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "API Reference Guide.pdf",
"type": "ARTICLE"
}
],
"createdAt": "2025-06-01T08:30:00Z",
"lastUpdatedAt": "2025-06-15T14:20:00Z",
"likeCount": 12,
"viewCount": 350,
"scope": "INTERNAL",
"category": {
"name": "API Guides",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"breadcrumb": [
"Documentation",
"API Guides"
],
"visibility": "PUBLIC",
"lastPublishedAt": "2025-06-15T12:00:00Z",
"likedByUser": false,
"subscribedByUser": true,
"source": "CONFLUENCE",
"createdBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"folder": {
"name": "Getting Started",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"lastUpdatedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastPublishedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"commentsCount": 5,
"publicContentUrl": "https://kb.phonovation.com/articles/3fa85f64"
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Get article
Returns the full details of a specific article including its content, metadata, and tags. Optionally records a view for analytics.
Required scope: Enable one of: knowledge-base:read, knowledge-base:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Getting Started with SMS API",
"content": "<h1>Introduction</h1><p>This guide covers the basics of the SMS API.</p>",
"status": "PUBLISHED",
"tags": [
{
"id": "c56a4180-65aa-42ec-a945-5fd21dec0538",
"name": "sms"
}
],
"links": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "API Reference Guide.pdf",
"type": "ARTICLE"
}
],
"createdAt": "2025-06-01T08:30:00Z",
"lastUpdatedAt": "2025-06-15T14:20:00Z",
"likeCount": 12,
"viewCount": 350,
"scope": "INTERNAL",
"category": {
"name": "API Guides",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"breadcrumb": [
"Documentation",
"API Guides"
],
"visibility": "PUBLIC",
"lastPublishedAt": "2025-06-15T12:00:00Z",
"likedByUser": false,
"subscribedByUser": true,
"source": "CONFLUENCE",
"createdBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"folder": {
"name": "Getting Started",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"lastUpdatedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastPublishedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"commentsCount": 5,
"publicContentUrl": "https://kb.phonovation.com/articles/3fa85f64"
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the article.
Query Parameters
Whether to record a page view for analytics.
Response
Article details returned successfully
Unique identifier of the article.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Name of the article.
"Getting Started with SMS API"
Content of the article in HTML format.
"<h1>Introduction</h1><p>This guide covers the basics of the SMS API.</p>"
Workflow status of the article.
PUBLISHED, DRAFT "PUBLISHED"
Tags assigned to the article.
Show child attributes
Show child attributes
List of Articles Or Attachments linked to the article.
Show child attributes
Show child attributes
Timestamp of when the article was created.
"2025-06-01T08:30:00Z"
Timestamp of when the article was last updated.
"2025-06-15T14:20:00Z"
Count of positive feedbacks.
12
Total view count.
350
Content scope of the node.
INTERNAL, EXTERNAL "INTERNAL"
Parent category of the article.
Show child attributes
Show child attributes
Navigation breadcrumb path.
Navigation breadcrumb path.
["Documentation", "API Guides"]
Visibility of the node.
PRIVATE, PUBLIC "PUBLIC"
Timestamp of when the article was last published.
"2025-06-15T12:00:00Z"
Whether the current user has liked this article. Null when no user context is available.
false
Whether the current user is subscribed to this article. Null when no user context is available.
true
External source of the node, if imported.
CSV, SHAREPOINT, CONFLUENCE "CONFLUENCE"
User who uploaded the file.
Show child attributes
Show child attributes
Parent folder of the article.
Show child attributes
Show child attributes
User who uploaded the file.
Show child attributes
Show child attributes
User who uploaded the file.
Show child attributes
Show child attributes
Number of comments on the article.
5
URL to the public content page.
"https://kb.phonovation.com/articles/3fa85f64"